"use strickt";

// Теоретичні питання
// 1. Як можна визначити, яку саме клавішу клавіатури натиснув користувач?
// Використовувати властивість key об'єкта події для отримання коду натиснутої клавіші. Вона повертає символ або ідентифікатор клавіші, яку натиснув користувач.
document.addEventListener("keydown", function (event) {
  console.log(event.key);
});

// 2. Яка різниця між event.code() та event.key()?
// event.code: Це властивість, яка повертає фізичний код клавіші, який відповідає кнопці клавіатури. Цей код не залежить від мови розкладки клавіатури та незмінний навіть для клавіатур з різними розкладками. Наприклад, клавіша "A" буде мати код "KeyA", а клавіша "Shift" - "ShiftLeft" або "ShiftRight".

// event.key: Це властивість, яка повертає символ, який представляє клавішу клавіатури. Зазвичай вона використовується для відображення текстових символів, які відповідають клавішам, а також спеціальних клавіш, таких як "Enter", "Shift" тощо. Цей символ може змінюватися в залежності від мови розкладки клавіатури.

//  event.code використовується для отримання фізичного коду клавіші, а event.key - для отримання символу, який вона представляє.

// 3. Які три події клавіатури існує та яка між ними відмінність?
// keydown;
// keypress;
// keyup;

// keydown: Відбувається при натисканні клавіші. Ця подія передається, коли клавіша фізично натиснута, навіть якщо це спеціальна клавіша, яка не генерує символів.

// keypress: Відбувається після keydown, якщо клавіша генерує символ. Ця подія не відбувається для клавіш спеціальних символів, які не генерують текстові символи.

// keyup: Відбувається після того, як клавіша була відпущена. Ця подія передається після того, як клавіша була відпущена після натискання.

// Практичне завдання.
// Реалізувати функцію підсвічування клавіш.

// Технічні вимоги:

// - У файлі index.html лежить розмітка для кнопок.
// - Кожна кнопка містить назву клавіші на клавіатурі
// - Після натискання вказаних клавіш - та кнопка, на якій написана ця літера, повинна фарбуватися в синій колір. При цьому якщо якась інша літера вже раніше була пофарбована в синій колір - вона стає чорною. Наприклад за натисканням Enter перша кнопка забарвлюється у синій колір. Далі, користувач натискає S, і кнопка S забарвлюється в синій колір, а кнопка Enter знову стає чорною.

const buttons = document.querySelectorAll(`button`);

document.addEventListener(`keydown`, function (event) {
  const keyPress = event.key.toLowerCase();
  buttons.forEach((button) => {
    if (button.innerText.toLowerCase() === keyPress) {
      if (button.style.backgroundColor !== "blue") {
        buttons.forEach((button) => {
          button.style.backgroundColor = "black";
        });
      }
      button.style.backgroundColor = "blue";
    }
  });
});
